Index: omp_lib.h.in
===================================================================
--- omp_lib.h.in	(revision 160470)
+++ omp_lib.h.in	(working copy)
@@ -22,9 +22,12 @@
 !  see the files COPYING3 and COPYING.RUNTIME respectively.  If not, see
 !  <http://www.gnu.org/licenses/>.
 
+      integer omp_integer_kind, omp_logical_kind
       integer omp_lock_kind, omp_nest_lock_kind, openmp_version
       integer omp_sched_kind, omp_sched_static, omp_sched_dynamic
       integer omp_sched_guided, omp_sched_auto
+      parameter (omp_integer_kind = 4)
+      parameter (omp_logical_kind = 4)
       parameter (omp_lock_kind = @OMP_LOCK_KIND@)
       parameter (omp_nest_lock_kind = @OMP_NEST_LOCK_KIND@)
       parameter (omp_sched_kind = 4)
@@ -42,16 +45,16 @@
       external omp_set_num_threads
 
       external omp_get_dynamic, omp_get_nested
-      logical(4) omp_get_dynamic, omp_get_nested
+      logical(omp_logical_kind) omp_get_dynamic, omp_get_nested
       external omp_test_lock, omp_in_parallel
-      logical(4) omp_test_lock, omp_in_parallel
+      logical(omp_logical_kind) omp_test_lock, omp_in_parallel
 
       external omp_get_max_threads, omp_get_num_procs
-      integer(4) omp_get_max_threads, omp_get_num_procs
+      integer(omp_integer_kind) omp_get_max_threads, omp_get_num_procs
       external omp_get_num_threads, omp_get_thread_num
-      integer(4) omp_get_num_threads, omp_get_thread_num
+      integer(omp_integer_kind) omp_get_num_threads, omp_get_thread_num
       external omp_test_nest_lock
-      integer(4) omp_test_nest_lock
+      integer(omp_integer_kind) omp_test_nest_lock
 
       external omp_get_wtick, omp_get_wtime
       double precision omp_get_wtick, omp_get_wtime
